package fastgpt

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/fastgpt"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/fastgpt/create fastgpt CreateFastgpt
//
// 创建 fastgpt 租户
//
// 创建 fastgpt 租户
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CreateInfo
//
// Responses:
//  200: BaseMsgResp

func CreateFastgptHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreateInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := fastgpt.NewCreateFastgptLogic(r.Context(), svcCtx)
		resp, err := l.CreateFastgpt(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
